package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.Area;

import java.util.List;

/**
 * AreaMapper接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface AreaMapper {
    /**
     * 查询Area
     *
     * @param areaNo AreaID
     * @return Area
     */
    public Area selectAreaById(Long areaNo);

    /**
     * 查询Area列表
     *
     * @param area Area
     * @return Area集合
     */
    public List<Area> selectAreaList(Area area);

    /**
     * 新增Area
     *
     * @param area Area
     * @return 结果
     */
    public int insertArea(Area area);

    /**
     * 修改Area
     *
     * @param area Area
     * @return 结果
     */
    public int updateArea(Area area);

    /**
     * 删除Area
     *
     * @param areaNo AreaID
     * @return 结果
     */
    public int deleteAreaById(Long areaNo);

    Long selectNewData();
}
